"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const designStore = require("../../../../../store/modules/designStore/designStore.js");
const index = require("./components/CreateModal/index.vue.js");
require("../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.js");
require("../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.js");
require("../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.js");
require("../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.js");
require("../../../../../enums/pageEnum.js");
require("../../../../../router/index.js");
require("../../../../../settings/designSetting.js");
require("../../../../../components/GoLoading/index.js");
require("../../../../../components/GoSkeleton/index.vue.js");
const icon = require("../../../../../plugins/icon.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const runtimeDom_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-dom@3.3.4/node_modules/@vue/runtime-dom/dist/runtime-dom.esm-bundler.js");
const _hoisted_1 = /* @__PURE__ */ runtimeCore_esmBundler.createElementVNode("span", null, " project.create_btn ", -1);
const _hoisted_2 = /* @__PURE__ */ runtimeCore_esmBundler.createElementVNode("span", null, " create_btn ", -1);
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "index",
  props: {
    collapsed: Boolean
  },
  setup(__props) {
    const { DuplicateIcon, DuplicateOutlineIcon } = icon.icon.ionicons5;
    const designStore$1 = designStore.useDesignStore();
    const modalShow = reactivity_esmBundler.ref(false);
    const clickHandle = () => {
      modalShow.value = true;
    };
    const closeHandle = () => {
      modalShow.value = false;
    };
    return (_ctx, _cache) => {
      const _component_n_icon = runtimeCore_esmBundler.resolveComponent("n-icon");
      const _component_n_button = runtimeCore_esmBundler.resolveComponent("n-button");
      const _component_n_tooltip = runtimeCore_esmBundler.resolveComponent("n-tooltip");
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, [
        runtimeCore_esmBundler.createElementVNode("div", { onClick: clickHandle }, [
          __props.collapsed ? (runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(_component_n_tooltip, {
            key: 0,
            placement: "right",
            trigger: "hover"
          }, {
            trigger: runtimeCore_esmBundler.withCtx(() => [
              runtimeCore_esmBundler.createVNode(_component_n_button, {
                ghost: "",
                type: "primary",
                size: "small"
              }, {
                icon: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(_component_n_icon, null, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.withDirectives(runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(DuplicateOutlineIcon), null, null, 512), [
                        [runtimeDom_esmBundler.vShow, reactivity_esmBundler.unref(designStore$1).getDarkTheme]
                      ]),
                      runtimeCore_esmBundler.withDirectives(runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(DuplicateIcon), null, null, 512), [
                        [runtimeDom_esmBundler.vShow, !reactivity_esmBundler.unref(designStore$1).getDarkTheme]
                      ])
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              })
            ]),
            default: runtimeCore_esmBundler.withCtx(() => [
              _hoisted_1
            ]),
            _: 1
          })) : (runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(_component_n_button, {
            key: 1,
            ghost: "",
            type: "primary"
          }, {
            icon: runtimeCore_esmBundler.withCtx(() => [
              runtimeCore_esmBundler.createVNode(_component_n_icon, null, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.withDirectives(runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(DuplicateOutlineIcon), null, null, 512), [
                    [runtimeDom_esmBundler.vShow, reactivity_esmBundler.unref(designStore$1).getDarkTheme]
                  ]),
                  runtimeCore_esmBundler.withDirectives(runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(DuplicateIcon), null, null, 512), [
                    [runtimeDom_esmBundler.vShow, !reactivity_esmBundler.unref(designStore$1).getDarkTheme]
                  ])
                ]),
                _: 1
              })
            ]),
            default: runtimeCore_esmBundler.withCtx(() => [
              _hoisted_2
            ]),
            _: 1
          }))
        ]),
        runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(index.default), {
          show: modalShow.value,
          onClose: closeHandle
        }, null, 8, ["show"])
      ], 64);
    };
  }
});
exports.default = _sfc_main;
